import request ,{postBlob}from '@/utils/request'

// 新增网点采购单
export function addOrder(params) {
  return request({
    url: '/shop/stock/inventory/add',
    method: 'post',
    data: params
  })
}

// 审核网点采购单
export function examineOrder(params) {
  return request({
    url: '/shop/stock/inventory/confirm',
    method: 'post',
    params
  })
}

// 反审网点采购单
export function unAuditOrder(params) {
  return request({
    url: '/shop/stock/inventory/unAudit',
    method: 'post',
    params
  })
}

// 删除网点采购单
export function delOrder(params) {
  return request({
    url: '/shop/stock/inventory/del',
    method: 'post',
    params
  })
}

// 编辑网点采购单
export function editOrder(params) {
  return request({
    url: '/shop/stock/inventory/update',
    method: 'post',
    data: params
  })
}

// 获取网点采购单信息
export function getOrderDetail(params) {
  return request({
    url: '/shop/stock/inventory/detail',
    method: 'get',
    params
  })
}

// 复制网点采购单
export function copyOrder(params) {
  return request({
    url: '/shop/stock/inventory/copy',
    method: 'get',
    params
  })
}

// 获取网点采购单列表
export function getMainList(params) {
  return request({
    url: '/shop/stock/inventory/list',
    method: 'get',
    params
  })
}

// 获取网点资料列表
export function getShopList(params) {
  return request({
    url: '/shop/master/list',
    method: 'get',
    params
  })
}

// 仓库列表
export function getStockList(params) {
  return request({
    url: '/shop/master/shop-stock',
    method: 'get',
    params
  })
}

// 仓库列表
export function getGoodsList(params) {
  return request({
    url: '/shop/stock/list',
    method: 'get',
    params
  })
}

export function getNewMainList(data) {
  console.log(data,999);
  return request({
    url: `/shop/stock/inventory/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewMainList(data, name) {
  return postBlob({
    url: '/shop/stock/inventory/zfire/list/export',
    data,
    name
  })
}