import request,{postBlob}  from '@/utils/request'

// 获取网点资料列表
export function getList(params) {
  return request({
    url: '/shop/master/list',
    method: 'get',
    params
  })
}

// 获取网点调售单列表
export function getPriceUpdSheetList(params) {
  return request({
    url: '/shop/price-upd/list',
    method: 'get',
    params
  })
}

// 新增网点调售单
export function addPriceUpdSheet(params) {
  return request({
    url: '/shop/price-upd/add',
    method: 'post',
    data: params
  })
}

// 编辑网点调售单
export function editPriceUpdSheet(params) {
  return request({
    url: '/shop/price-upd/update',
    method: 'post',
    data: params
  })
}

// 删除网点调售单
export function delPriceUpdSheet(params) {
  return request({
    url: '/shop/price-upd/del',
    method: 'post',
    params
  })
}

// 审核网点调售单
export function confirmPriceUpdSheet(params) {
  return request({
    url: '/shop/price-upd/confirm',
    method: 'post',
    params
  })
}

// 获取网点调售单信息
export function getPriceUpdSheet(params) {
  return request({
    url: '/shop/price-upd/detail',
    method: 'get',
    params
  })
}

// 获取分类列表
export function getCategoryList(params) {
  return request({
    url: '/sys/category/list',
    method: 'get',
    params
  })
}

export function getNewPriceUpdSheetList(data) {
  console.log(data,999);
  return request({
    url: `/shop/price-upd/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewPriceUpdSheetList(data, name) {
  return postBlob({
    url: '/shop/price-upd/zfire/list/export',
    data,
    name
  })
}
