import request,{postBlob} from '@/utils/request'

// 新增网点采购单
export function addPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/add',
    method: 'post',
    data: params
  })
}




// 审核网点采购单
export function confirmPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/confirm',
    method: 'post',
    params
  })
}

// 反审网点采购单
export function unAuditPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/unAudit',
    method: 'post',
    params
  })
}

// 下推网点采购单
export function pushPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/push',
    method: 'post',
    params
  })
}

// 作废网点采购单
export function revokePurchaseSheet(params) {
  return request({
    url: '/shop/purchase/revoke',
    method: 'get',
    params
  })
}

// 删除网点采购单
export function delPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/del',
    method: 'get',
    params
  })
}

// 编辑网点采购单
export function editPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/update',
    method: 'post',
    data: params
  })
}

// 获取网点采购单信息
export function getPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/detail',
    method: 'get',
    params
  })
}

// 复制网点采购单
export function copyPurchaseSheet(params) {
  return request({
    url: '/shop/purchase/copy',
    method: 'get',
    params
  })
}

// 获取网点采购单列表
export function getPurchaseSheetList(params) {
  return request({
    url: '/shop/purchase/list',
    method: 'get',
    params
  })
}


export function getNewPurchaseSheetList(data) {
  console.log(data,999);
  return request({
    url: `/shop/purchase/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewPurchaseSheetList(data, name) {
  return postBlob({
    url: '/shop/purchase/zfire/list/export',
    data,
    name
  })
}
