import request ,{postBlob}from '@/utils/request'

// 新增网点采购单
export function addOrder(params) {
  return request({
    url: '/shop/sale-out-stock/add',
    method: 'post',
    data: params
  })
}

// 审核网点采购单
export function examineOrder(params) {
  return request({
    url: '/shop/sale-out-stock/confirm',
    method: 'post',
    params
  })
}

// 反审网点采购单
export function unAuditOrder(params) {
  return request({
    url: '/shop/sale-out-stock/unAudit',
    method: 'post',
    params
  })
}

// 下推销售退货单
export function pushShopSaleRetSheet(params) {
  return request({
    url: '/shop/sale-out-stock/push',
    method: 'post',
    params
  })
}

// 查询销售退货单
export function queryOrder(params) {
  return request({
    url: '/shop/sale-out-stock/query',
    method: 'post',
    params
  })
}

// 查询销售退货单
export function queryRetOrder(params) {
  return request({
    url: '/shop/sale-out-stock/query-ret',
    method: 'post',
    params
  })
}

// 删除网点采购单
export function delOrder(params) {
  return request({
    url: '/shop/sale-out-stock/del',
    method: 'post',
    params
  })
}

// 编辑网点采购单
export function editOrder(params) {
  return request({
    url: '/shop/sale-out-stock/update',
    method: 'post',
    data: params
  })
}

// 获取网点采购单信息
export function getOrderDetail(params) {
  return request({
    url: '/shop/sale-out-stock/detail',
    method: 'get',
    params
  })
}

// 复制网点采购单
export function copyOrder(params) {
  return request({
    url: '/shop/sale-out-stock/copy',
    method: 'get',
    params
  })
}

// 获取网点采购单列表
export function getMainList(params) {
  return request({
    url: '/shop/sale-out-stock/list',
    method: 'get',
    params
  })
}

// 获取网点资料列表
export function getShopList(params) {
  return request({
    url: '/shop/master/list',
    method: 'get',
    params
  })
}

// 仓库列表
export function getStockList(params) {
  return request({
    url: '/shop/master/shop-stock',
    method: 'get',
    params
  })
}

// 商品列表
export function getGoodsList(params) {
  return request({
    url: '/shop/stock/list',
    method: 'get',
    params
  })
}


export function getNewMainList(data) {
  console.log(data,999);
  return request({
    url: `/shop/sale-out-stock/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewMainList(data, name) {
  return postBlob({
    url: '/shop/sale-out-stock/zfire/list/export',
    data,
    name
  })
}