import request,{postBlob} from '@/utils/request'

// 新增调拨单
export function addOrder(params) {
  return request({
    url: '/shop/stock/transfer/add',
    method: 'post',
    data: params
  })
}

// 审核直接调拨单
export function examineOrder(params) {
  return request({
    url: '/shop/stock/transfer/confirm',
    method: 'post',
    params
  })
}

// 反审直接调拨单
export function unAuditOrder(params) {
  return request({
    url: '/shop/stock/transfer/unAudit',
    method: 'post',
    params
  })
}

// 查询直接调拨单
export function queryOrder(params) {
  return request({
    url: '/shop/stock/transfer/query',
    method: 'post',
    params
  })
}

// 删除调拨单
export function delOrder(params) {
  return request({
    url: '/shop/stock/transfer/del',
    method: 'post',
    params
  })
}

// 编辑调拨单
export function editOrder(params) {
  return request({
    url: '/shop/stock/transfer/update',
    method: 'post',
    data: params
  })
}

// 获取调拨单详情
export function getOrderDetail(params) {
  return request({
    url: '/shop/stock/transfer/detail',
    method: 'get',
    params
  })
}

// 获取直接调拨单列表
export function getMainList(params) {
  return request({
    url: '/shop/stock/transfer/list',
    method: 'get',
    params
  })
}

// 获取网点资料列表
export function getShopList(params) {
  return request({
    url: '/shop/master/list',
    method: 'get',
    params
  })
}

// 获取网点资料列表
export function getTransferShopList(params) {
  return request({
    url: '/shop/master/transfer-list',
    method: 'get',
    params
  })
}

// 仓库列表
export function getStockList(params) {
  return request({
    url: '/shop/master/shop-stock',
    method: 'get',
    params
  })
}

// 商品列表
export function getGoodsList(params) {
  return request({
    url: '/shop/stock/list',
    method: 'get',
    params
  })
}

// 获取调拨单列表
export function getOrderList(params) {
  return request({
    url: '/shop/stock/transfer/c-list',
    method: 'get',
    params
  })
}

// 提交调拨单
export function submitOrder(params) {
  return request({
    url: '/shop/stock/transfer/submit',
    method: 'get',
    params
  })
}

// 撤消调拨单
export function revokeOrder(params) {
  return request({
    url: '/shop/stock/transfer/revoke',
    method: 'get',
    params
  })
}

// 审核调拨单
export function confirmOrder(params) {
  return request({
    url: '/shop/stock/transfer/cooperate/confirm',
    method: 'get',
    params
  })
}

export function getNewMainList(data) {
  console.log(data,999);
  return request({
    url: `/shop/stock/transfer/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewMainList(data, name) {
  return postBlob({
    url: '/shop/stock/transfer/zfire/list/export',
    data,
    name
  })
}

export function getNewOrderList(data) {
  console.log(data,999);
  return request({
    url: `/shop/stock/transfer/c/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewOrderList(data, name) {
  return postBlob({
    url: '/shop/stock/transfer/zfire/list/export',
    data,
    name
  })
}

